Skip to content

findChangeNoticesForItem

READ

Find change notices for item.

POST /api/v1/items/findChangeNoticesForItem
curl -X POST '<your-host>/api/v1/items/findChangeNoticesForItem' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "changeOrderId": "string",
      "name": "string",
      "status": "Cancelled",
      "changeOrderTypeId": "string",
      "createdAt": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType
"Draft""Start""Engineering Complete""Implementation""Done""Cancelled"

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "statuses": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "Draft",
          "Start",
          "Engineering Complete",
          "Implementation",
          "Done",
          "Cancelled"
        ]
      }
    }
  },
  "required": [
    "itemId"
  ]
}